* {
  padding: 0;
  margin: 0;
  font-family: "Roboto Mono", monospace;
}

html,
body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #b0c4de;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
  background-size: 32px 32px;
}

header {
  text-align: center;
  margin: 10px;
}

#menu {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  text-align: center;
  align-items: center;
  width: max-content;
  min-height: 80px;
}

.speedBtns {
  display: flex;
  flex-direction: column;
  width: max-content;
  justify-content: center;
  align-items: center;
}

.speedBtns button {
  margin-bottom: 5px;
}

#githubicon {
  position: absolute;
  top: 20px;
  right: 6vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
  border-radius: 30px;
}

#githubicon:hover {
  transform: translateY(-5px);
  background-color: azure;
}

#homeIcon {
  position: absolute;
  top: 20px;
  left: 6vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
}

#homeIcon:hover {
  transform: translateY(-5px);
}

h1 {
  margin: 10px;
}

p {
  margin: 3px;
}

#invalid {
  margin-top: 10px;
}

#gameBoard_UI {
  margin: 10px;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.cell {
  height: 17px;
  width: 17px;
  border: 1px dimgrey solid;
  background-color: rgb(201, 201, 201, 0.4);
}

.cell:hover {
  background-color: dimgrey;
}

.alive {
  background-color: dimgrey;
}

.hidden {
  display: none;
}

.notShown {
  visibility: hidden;
}

.bad {
  color: red;
}

input:not([type]),
input[type="text"] {
  width: 40px;
  height: 30px;
  text-align: center;
  margin-right: 2px;
  font-size: 1em;
}

button {
  width: 90px;
  height: 35px;
  margin-left: 7px;
  margin-right: 7px;
}

.shadowBox {
  box-shadow: 2px 4px 8px 2px rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.enabled {
  background-color: rgba(0.49, 0.73, 0.91, 0.2);
}

#enabledLabel {
  width: 100px;
  font-size: small;
}

#enabledInput {
  height: 22px;
  width: 22px;
}

.textInputLabel {
  margin-left: 7px;
  margin-right: -8px;
}
